<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'enrol_database', language 'en_us_k12', version '2.3'.
 *
 * @package     enrol_database
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['defaultcategory'] = 'Default new class category';
$string['defaultcategory_desc'] = 'The default category for auto-created classes. Used when no new category id specified or not found.';
$string['ignorehiddencourses'] = 'Ignore hidden classes';
$string['ignorehiddencourses_desc'] = 'If enabled users will not be enrolled on classes that are set to be unavailable to students.';
$string['localcoursefield'] = 'Local class field';
$string['newcoursecategory'] = 'New class category field';
$string['newcoursefullname'] = 'New class full name field';
$string['newcourseidnumber'] = 'New class ID number field';
$string['newcourseshortname'] = 'New class short name field';
$string['newcoursetable'] = 'Remote new classes table';
$string['newcoursetable_desc'] = 'Specify of the name of the table that contains list of classes that should be created automatically. Empty means no classes are created.';
$string['pluginname_desc'] = 'You can use an external database (of nearly any kind) to control your enrollments. It is assumed your external database contains at least a field containing a class ID, and a field containing a user ID. These are compared against fields that you choose in the local class and user tables.';
$string['remotecoursefield'] = 'Remote class field';
$string['remotecoursefield_desc'] = 'The name of the field in the remote table that we are using to match entries in the class table.';
$string['settingsheadernewcourses'] = 'Creation of new classes';
$string['templatecourse'] = 'New class template';
$string['templatecourse_desc'] = 'Optional: auto-created classes can copy their settings from a template class. Type here the shortname of the template class.';
