<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'completion', language 'en_us_k12', version '2.3'.
 *
 * @package     completion
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['completion_help'] = 'If enabled, activity completion is tracked, either manually or automatically, based on certain conditions. Multiple conditions may be set if desired. If so, the activity will only be considered complete when ALL conditions are met.

A tick next to the activity name on the class page indicates when the activity is complete.';
$string['completionnotenabledforcourse'] = 'Completion is not enabled for this class';
$string['configenablecompletion'] = 'When enabled, this lets you turn on completion tracking (progress) features at class level.';
$string['coursealreadycompleted'] = 'You have already completed this class';
$string['coursecomplete'] = 'Class complete';
$string['coursecompleted'] = 'Class completed';
$string['coursegrade'] = 'Class grade';
$string['coursesavailable'] = 'Classes available';
$string['editcoursecompletionsettings'] = 'Edit class completion settings';
$string['err_nocourses'] = 'Class completion is not enabled for any other classes, so none can be displayed. You can enable class completion in the class settings.';
$string['err_nograde'] = 'A class pass grade has not been set for this class. To enable this criteria type you must create a pass grade for this class.';
$string['err_nousers'] = 'There are no students on this class or group for whom completion information is displayed. (By default, completion information is displayed only for students, so if there are no students, you will see this error. Administrators can alter this option via the admin screens.)';
$string['nocriteriaset'] = 'No completion criteria set for this class';
$string['notenroled'] = 'You are not enrolled in this class';
$string['nottracked'] = 'You are currently not being tracked by completion in this class';
$string['usealternateselector'] = 'Use the alternate class selector';
$string['usernotenroled'] = 'User is not enrolled in this class';
$string['viewcoursereport'] = 'View class report';
